​

Get card file

GET
https://example.flowfast.io/api/latest/cards/{card_uid}/files/{id}

Returns file metadata together with a signed URL. For binary content use the /content route.

Path parameters
NameTypeReference
card_uidrequiredstring (uuid)Card UID
idrequiredstring (uuid)File UID
Headers
NameValueDescription
AuthorizationrequiredBearer <token>API token is required
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string (uuid)

File UID
name

string

File name
size

string (bigint)

File size in bytes
mime_type

string (mime-type)

MIME type
entity_type

string

File entity type, always card
created

string (date-time)

Creation date and time
updated

string (date-time)

Last update date and time
card_uid

string (uuid)

Card UID
author_uid

string (uuid)

Author UID
card_cover

boolean

Flag indicating that image is used as card cover
url

string (uri)

Temporary signed URL to the file content (Content-Disposition: inline). The URL expires shortly, request the file again instead of caching it
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
422
DescriptionResponse typeExample
The file is maliciousObjectResponse body does not exist
Response Attributes
NameTypeDescription
message

string

Error message
logo
FlowFast
If you have any questions or need help with integration feel free to write us at support@flowfast.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.flowfast.io/api/latest/cards/{card_uid}/files/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!